RSADECRYPT(1)

NAME
rsadecrypt - Runs TPM2 rsadecrypt

DESCRIPTION
rsadecrypt

Runs TPM2_RSA_Decrypt

-hk key handle

[-pwdk
    password for key (default empty)[

    [-ipwdk password file for key, nul terminated (default empty)] -ie encrypt file name -od decrypt file name (default do not save) [-oid (sha1, sha256, sha384 sha512)]

    optionally add OID and PKCS1 padding to the encrypt data (demo of signing with arbitrary OID)

-se[0-2] session handle / attributes (default PWAP)

01  continue

20  command decrypt

40  response encrypt